# Uses of Class
javax.swing.filechooser.FileFilter

Packages that use FileFilter
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.filechooser
Contains classes and interfaces used by the `JFileChooser` component.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.

## Uses of FileFilter in javax.swing

Methods in javax.swing that return FileFilter
Modifier and Type
Method
Description
`FileFilter`
JFileChooser.`getAcceptAllFileFilter()`
Returns the `AcceptAll` file filter.
`FileFilter[]`
JFileChooser.`getChoosableFileFilters()`
Gets the list of user choosable file filters.
`FileFilter`
JFileChooser.`getFileFilter()`
Returns the currently selected file filter.
Methods in javax.swing with parameters of type FileFilter
Modifier and Type
Method
Description
`void`
JFileChooser.`addChoosableFileFilter(FileFilter filter)`
Adds a filter to the list of user choosable file filters.
`boolean`
JFileChooser.`removeChoosableFileFilter(FileFilter f)`
Removes a filter from the list of user choosable file filters.
`void`
JFileChooser.`setFileFilter(FileFilter filter)`
Sets the current file filter.

## Uses of FileFilter in javax.swing.filechooser

Subclasses of FileFilter in javax.swing.filechooser
Modifier and Type
Class
Description
`final class`
`FileNameExtensionFilter`
An implementation of `FileFilter` that filters using a specified set of extensions.

## Uses of FileFilter in javax.swing.plaf

Methods in javax.swing.plaf that return FileFilter
Modifier and Type
Method
Description
`abstract FileFilter`
FileChooserUI.`getAcceptAllFileFilter(JFileChooser fc)`
Returns an accept-all file filter.

## Uses of FileFilter in javax.swing.plaf.basic

Subclasses of FileFilter in javax.swing.plaf.basic
Modifier and Type
Class
Description
`protected class`
`BasicFileChooserUI.AcceptAllFileFilter`
Accept all file filter.
Methods in javax.swing.plaf.basic that return FileFilter
Modifier and Type
Method
Description
`FileFilter`
BasicFileChooserUI.`getAcceptAllFileFilter(JFileChooser fc)`
Returns the default accept all file filter

## Uses of FileFilter in javax.swing.plaf.metal

Fields in javax.swing.plaf.metal declared as FileFilter
Modifier and Type
Field
Description
`protected FileFilter[]`
MetalFileChooserUI.FilterComboBoxModel.`filters`
An array of file filters.

## Uses of FileFilter in javax.swing.plaf.multi

Methods in javax.swing.plaf.multi that return FileFilter
Modifier and Type
Method
Description
`FileFilter`
MultiFileChooserUI.`getAcceptAllFileFilter(JFileChooser a)`
Invokes the `getAcceptAllFileFilter` method on each UI handled by this object.